diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-http.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-http.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-http.php	2013-08-18 03:22:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-http.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 823,1015 ****
  		if ( isset( $r['limit_response_size'] ) && strlen( $process['body'] ) > $r['limit_response_size'] )
  			$process['body'] = substr( $process['body'], 0, $r['limit_response_size'] );
  
! 		return array( 'headers' => $arrHeaders['headers'], 'body' => $process['body'], 'response' => $arrHeaders['response'], 'cookies' => $arrHeaders['cookies'], 'filename' => $r['filename'] );
  	}
  
  	/**
! 	 * Whether this class can be used for retrieving an URL.
  	 *
! 	 * @since 2.7.0
  	 * @static
! 	 * @return boolean False means this class can not be used, true means it can.
  	 */
! 	public static function test( $args = array() ) {
! 		if ( ! function_exists( 'fsockopen' ) )
! 			return false;
  
! 		if ( false !== ( $option = get_option( 'disable_fsockopen' ) ) && time() - $option < 12 * HOUR_IN_SECONDS )
  			return false;
  
! 		$is_ssl = isset( $args['ssl'] ) && $args['ssl'];
! 
! 		if ( $is_ssl && ! extension_loaded( 'openssl' ) )
  			return false;
  
! 		return apply_filters( 'use_fsockopen_transport', true, $args );
! 	}
! }
! 
! /**
!  * HTTP request method uses Streams to retrieve the url.
!  *
!  * Requires PHP 5.0+ and uses fopen with stream context. Requires that 'allow_url_fopen' PHP setting
!  * to be enabled.
!  *
!  * Second preferred method for getting the URL, for PHP 5.
!  *
!  * @package WordPress
!  * @subpackage HTTP
!  * @since 2.7.0
!  */
! class WP_Http_Streams {
! 	/**
! 	 * Send a HTTP request to a URI using streams with fopen().
! 	 *
! 	 * @access public
! 	 * @since 2.7.0
! 	 *
! 	 * @param string $url
! 	 * @param str|array $args Optional. Override the defaults.
! 	 * @return array 'headers', 'body', 'response', 'cookies' and 'filename' keys.
! 	 */
! 	function request($url, $args = array()) {
! 		$defaults = array(
! 			'method' => 'GET', 'timeout' => 5,
! 			'redirection' => 5, 'httpversion' => '1.0',
! 			'blocking' => true,
! 			'headers' => array(), 'body' => null, 'cookies' => array()
! 		);
! 
! 		$r = wp_parse_args( $args, $defaults );
! 
! 		if ( isset($r['headers']['User-Agent']) ) {
! 			$r['user-agent'] = $r['headers']['User-Agent'];
! 			unset($r['headers']['User-Agent']);
! 		} else if ( isset($r['headers']['user-agent']) ) {
! 			$r['user-agent'] = $r['headers']['user-agent'];
! 			unset($r['headers']['user-agent']);
! 		}
! 
! 		// Construct Cookie: header if any cookies are set
! 		WP_Http::buildCookieHeader( $r );
! 
! 		$arrURL = parse_url($url);
! 
! 		if ( false === $arrURL )
! 			return new WP_Error('http_request_failed', sprintf(__('Malformed URL: %s'), $url));
! 
! 		if ( 'http' != $arrURL['scheme'] && 'https' != $arrURL['scheme'] )
! 			$url = preg_replace('|^' . preg_quote($arrURL['scheme'], '|') . '|', 'http', $url);
! 
! 		// Convert Header array to string.
! 		$strHeaders = '';
! 		if ( is_array( $r['headers'] ) )
! 			foreach ( $r['headers'] as $name => $value )
! 				$strHeaders .= "{$name}: $value\r\n";
! 		else if ( is_string( $r['headers'] ) )
! 			$strHeaders = $r['headers'];
! 
! 		$is_local = isset($args['local']) && $args['local'];
! 		$ssl_verify = isset($args['sslverify']) && $args['sslverify'];
! 		if ( $is_local )
! 			$ssl_verify = apply_filters('https_local_ssl_verify', $ssl_verify);
! 		elseif ( ! $is_local )
! 			$ssl_verify = apply_filters('https_ssl_verify', $ssl_verify);
! 
! 		$arrContext = array('http' =>
! 			array(
! 				'method' => strtoupper($r['method']),
! 				'user_agent' => $r['user-agent'],
! 				'max_redirects' => 0, // Follow no redirects
! 				'follow_redirects' => false,
! 				'protocol_version' => (float) $r['httpversion'],
! 				'header' => $strHeaders,
! 				'ignore_errors' => true, // Return non-200 requests.
! 				'timeout' => $r['timeout'],
! 				'ssl' => array(
! 						'verify_peer' => $ssl_verify,
! 						'verify_host' => $ssl_verify
! 				)
! 			)
! 		);
! 
! 		$proxy = new WP_HTTP_Proxy();
! 
! 		if ( $proxy->is_enabled() && $proxy->send_through_proxy( $url ) ) {
! 			$arrContext['http']['proxy'] = 'tcp://' . $proxy->host() . ':' . $proxy->port();
! 			$arrContext['http']['request_fulluri'] = true;
! 
! 			// We only support Basic authentication so this will only work if that is what your proxy supports.
! 			if ( $proxy->use_authentication() )
! 				$arrContext['http']['header'] .= $proxy->authentication_header() . "\r\n";
! 		}
! 
! 		if ( ! is_null( $r['body'] ) )
! 			$arrContext['http']['content'] = $r['body'];
! 
! 		$context = stream_context_create($arrContext);
! 
! 		if ( !WP_DEBUG )
! 			$handle = @fopen($url, 'r', false, $context);
! 		else
! 			$handle = fopen($url, 'r', false, $context);
! 
! 		if ( ! $handle )
! 			return new WP_Error('http_request_failed', sprintf(__('Could not open handle for fopen() to %s'), $url));
! 
! 		$timeout = (int) floor( $r['timeout'] );
! 		$utimeout = $timeout == $r['timeout'] ? 0 : 1000000 * $r['timeout'] % 1000000;
! 		stream_set_timeout( $handle, $timeout, $utimeout );
! 
! 		if ( ! $r['blocking'] ) {
! 			stream_set_blocking($handle, 0);
! 			fclose($handle);
! 			return array( 'headers' => array(), 'body' => '', 'response' => array('code' => false, 'message' => false), 'cookies' => array() );
! 		}
! 
! 		$max_bytes = isset( $r['limit_response_size'] ) ? intval( $r['limit_response_size'] ) : -1;
! 		if ( $r['stream'] ) {
! 			if ( ! WP_DEBUG )
! 				$stream_handle = @fopen( $r['filename'], 'w+' );
! 			else
! 				$stream_handle = fopen( $r['filename'], 'w+' );
! 
! 			if ( ! $stream_handle )
! 				return new WP_Error( 'http_request_failed', sprintf( __( 'Could not open handle for fopen() to %s' ), $r['filename'] ) );
  
! 			stream_copy_to_stream( $handle, $stream_handle, $max_bytes );
! 
! 			fclose( $stream_handle );
! 			$strResponse = '';
! 		} else {
! 			$strResponse = stream_get_contents( $handle, $max_bytes );
  		}
  
! 		$meta = stream_get_meta_data( $handle );
! 
! 		fclose( $handle );
! 
! 		$processedHeaders = array();
! 		if ( isset( $meta['wrapper_data']['headers'] ) )
! 			$processedHeaders = WP_Http::processHeaders($meta['wrapper_data']['headers']);
! 		else
! 			$processedHeaders = WP_Http::processHeaders($meta['wrapper_data']);
  
! 		if ( ! empty( $processedHeaders['headers']['location'] ) && 0 !== $r['_redirection'] ) { // _redirection: The requested number of redirections
! 			if ( $r['redirection']-- > 0 ) {
! 				return wp_remote_request( WP_HTTP::make_absolute_url( $processedHeaders['headers']['location'], $url ), $r );
! 			} else {
! 				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
! 			}
! 		}
  
! 		if ( ! empty( $strResponse ) && isset( $processedHeaders['headers']['transfer-encoding'] ) && 'chunked' == $processedHeaders['headers']['transfer-encoding'] )
! 			$strResponse = WP_Http::chunkTransferDecode($strResponse);
  
! 		if ( true === $r['decompress'] && true === WP_Http_Encoding::should_decode($processedHeaders['headers']) )
! 			$strResponse = WP_Http_Encoding::decompress( $strResponse );
  
! 		return array( 'headers' => $processedHeaders['headers'], 'body' => $strResponse, 'response' => $processedHeaders['response'], 'cookies' => $processedHeaders['cookies'], 'filename' => $r['filename'] );
  	}
  
  	/**
--- 937,1006 ----
  		if ( isset( $r['limit_response_size'] ) && strlen( $process['body'] ) > $r['limit_response_size'] )
  			$process['body'] = substr( $process['body'], 0, $r['limit_response_size'] );
  
! 		$response['body'] = $process['body'];
! 
! 		return $response;
  	}
  
  	/**
! 	 * Verifies the received SSL certificate against it's Common Names and subjectAltName fields
  	 *
! 	 * PHP's SSL verifications only verify that it's a valid Certificate, it doesn't verify if
! 	 * the certificate is valid for the hostname which was requested.
! 	 * This function verifies the requested hostname against certificate's subjectAltName field,
! 	 * if that is empty, or contains no DNS entries, a fallback to the Common Name field is used.
! 	 *
! 	 * IP Address support is included if the request is being made to an IP address.
! 	 *
! 	 * @since 3.7.0
  	 * @static
! 	 *
! 	 * @param stream $stream The PHP Stream which the SSL request is being made over
! 	 * @param string $host The hostname being requested
! 	 * @return bool If the cerficiate presented in $stream is valid for $host
  	 */
! 	static function verify_ssl_certificate( $stream, $host ) {
! 		$context_options = stream_context_get_options( $stream );
  
! 		if ( empty( $context_options['ssl']['peer_certificate'] ) )
  			return false;
  
! 		$cert = openssl_x509_parse( $context_options['ssl']['peer_certificate'] );
! 		if ( ! $cert )
  			return false;
  
! 		// If the request is being made to an IP address, we'll validate against IP fields in the cert (if they exist)
! 		$host_type = ( WP_HTTP::is_ip_address( $host ) ? 'ip' : 'dns' );
  
! 		$certificate_hostnames = array();
! 		if ( ! empty( $cert['extensions']['subjectAltName'] ) ) {
! 			$match_against = preg_split( '/,\s*/', $cert['extensions']['subjectAltName'] );
! 			foreach ( $match_against as $match ) {
! 				list( $match_type, $match_host ) = explode( ':', $match );
! 				if ( $host_type == strtolower( trim( $match_type ) ) ) // IP: or DNS:
! 					$certificate_hostnames[] = strtolower( trim( $match_host ) );
! 			}
! 		} elseif ( !empty( $cert['subject']['CN'] ) ) {
! 			// Only use the CN when the certificate includes no subjectAltName extension
! 			$certificate_hostnames[] = strtolower( $cert['subject']['CN'] );
  		}
  
! 		// Exact hostname/IP matches
! 		if ( in_array( strtolower( $host ), $certificate_hostnames ) )
! 			return true;
  
! 		// IP's can't be wildcards, Stop processing
! 		if ( 'ip' == $host_type )
! 			return false;
  
! 		// Test to see if the domain is at least 2 deep for wildcard support
! 		if ( substr_count( $host, '.' ) < 2 )
! 			return false;
  
! 		// Wildcard subdomains certs (*.example.com) are valid for a.example.com but not a.b.example.com
! 		$wildcard_host = preg_replace( '/^[^.]+\./', '*.', $host );
  
! 		return in_array( strtolower( $wildcard_host ), $certificate_hostnames );
  	}
  
  	/**
***************
*** 1018,1050 ****
  	 * @static
  	 * @access public
  	 * @since 2.7.0
  	 *
  	 * @return boolean False means this class can not be used, true means it can.
  	 */
  	public static function test( $args = array() ) {
! 		if ( ! function_exists( 'fopen' ) )
! 			return false;
! 
! 		if ( ! function_exists( 'ini_get' ) || true != ini_get( 'allow_url_fopen' ) )
  			return false;
  
  		$is_ssl = isset( $args['ssl'] ) && $args['ssl'];
  
! 		if ( $is_ssl && ! extension_loaded( 'openssl' ) )
! 			return false;
  
  		return apply_filters( 'use_streams_transport', true, $args );
  	}
  }
  
  /**
   * HTTP request method uses Curl extension to retrieve the url.
   *
   * Requires the Curl extension to be installed.
   *
   * @package WordPress
   * @subpackage HTTP
!  * @since 2.7
   */
  class WP_Http_Curl {
  
--- 1009,1061 ----
  	 * @static
  	 * @access public
  	 * @since 2.7.0
+ 	 * @since 3.7.0 Combined with the fsockopen transport and switched to stream_socket_client().
  	 *
  	 * @return boolean False means this class can not be used, true means it can.
  	 */
  	public static function test( $args = array() ) {
! 		if ( ! function_exists( 'stream_socket_client' ) )
  			return false;
  
  		$is_ssl = isset( $args['ssl'] ) && $args['ssl'];
  
! 		if ( $is_ssl ) {
! 			if ( ! extension_loaded( 'openssl' ) )
! 				return false;
! 			if ( ! function_exists( 'openssl_x509_parse' ) )
! 				return false;
! 		}
  
  		return apply_filters( 'use_streams_transport', true, $args );
  	}
  }
  
  /**
+  * Deprecated HTTP Transport method which used fsockopen.
+  *
+  * This class is not used, and is included for backwards compatibility only.
+  * All code should make use of WP_HTTP directly through it's API.
+  *
+  * @see WP_HTTP::request
+  *
+  * @package WordPress
+  * @subpackage HTTP
+  *
+  * @since 2.7.0
+  * @deprecated 3.7.0 Please use WP_HTTP::request() directly
+  */
+ class WP_HTTP_Fsockopen extends WP_HTTP_Streams {
+ 	// For backwards compatibility for users who are using the class directly
+ }
+ 
+ /**
   * HTTP request method uses Curl extension to retrieve the url.
   *
   * Requires the Curl extension to be installed.
   *
   * @package WordPress
   * @subpackage HTTP
!  * @since 2.7.0
   */
  class WP_Http_Curl {
  
***************
*** 1149,1154 ****
--- 1160,1166 ----
  		curl_setopt( $handle, CURLOPT_RETURNTRANSFER, true );
  		curl_setopt( $handle, CURLOPT_SSL_VERIFYHOST, ( $ssl_verify === true ) ? 2 : false );
  		curl_setopt( $handle, CURLOPT_SSL_VERIFYPEER, $ssl_verify );
+ 		curl_setopt( $handle, CURLOPT_CAINFO, $r['sslcertificates'] );
  		curl_setopt( $handle, CURLOPT_USERAGENT, $r['user-agent'] );
  		// The option doesn't work with safe mode or when open_basedir is set, and there's a
  		// bug #17490 with redirected POST requests, so handle redirections outside Curl.
***************
*** 1235,1248 ****
  		}
  
  		$theResponse = curl_exec( $handle );
! 		$theHeaders = WP_Http::processHeaders( $this->headers );
  		$theBody = $this->body;
  
  		$this->headers = '';
  		$this->body = '';
  
! 		// If no response
! 		if ( 0 == strlen( $theBody ) && empty( $theHeaders['headers'] ) ) {
  			if ( $curl_error = curl_error( $handle ) ) {
  				curl_close( $handle );
  				return new WP_Error( 'http_request_failed', $curl_error );
--- 1247,1266 ----
  		}
  
  		$theResponse = curl_exec( $handle );
! 		$theHeaders = WP_Http::processHeaders( $this->headers, $url );
  		$theBody = $this->body;
  
  		$this->headers = '';
  		$this->body = '';
  
! 		$curl_error = curl_errno( $handle );
! 
! 		// If an error occured, or, no response
! 		if ( $curl_error || ( 0 == strlen( $theBody ) && empty( $theHeaders['headers'] ) ) ) {
! 			if ( CURLE_WRITE_ERROR /* 23 */ == $curl_error &&  $r['stream'] ) {
! 				fclose( $this->stream_handle );
! 				return new WP_Error( 'http_request_failed', __( 'Failed to write request to temporary file.' ) );
! 			}
  			if ( $curl_error = curl_error( $handle ) ) {
  				curl_close( $handle );
  				return new WP_Error( 'http_request_failed', $curl_error );
***************
*** 1262,1280 ****
  		if ( $r['stream'] )
  			fclose( $this->stream_handle );
  
! 		// See #11305 - When running under safe mode, redirection is disabled above. Handle it manually.
! 		if ( ! empty( $theHeaders['headers']['location'] ) && 0 !== $r['_redirection'] ) { // _redirection: The requested number of redirections
! 			if ( $r['redirection']-- > 0 ) {
! 				return wp_remote_request( WP_HTTP::make_absolute_url( $theHeaders['headers']['location'], $url ), $r );
! 			} else {
! 				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
! 			}
! 		}
  
  		if ( true === $r['decompress'] && true === WP_Http_Encoding::should_decode($theHeaders['headers']) )
  			$theBody = WP_Http_Encoding::decompress( $theBody );
  
! 		return array( 'headers' => $theHeaders['headers'], 'body' => $theBody, 'response' => $response, 'cookies' => $theHeaders['cookies'], 'filename' => $r['filename'] );
  	}
  
  	/**
--- 1280,1303 ----
  		if ( $r['stream'] )
  			fclose( $this->stream_handle );
  
! 		$response = array(
! 			'headers' => $theHeaders['headers'],
! 			'body' => null,
! 			'response' => $response,
! 			'cookies' => $theHeaders['cookies'],
! 			'filename' => $r['filename']
! 		);
! 
! 		// Handle redirects
! 		if ( false !== ( $redirect_response = WP_HTTP::handle_redirects( $url, $r, $response ) ) )
! 			return $redirect_response;
  
  		if ( true === $r['decompress'] && true === WP_Http_Encoding::should_decode($theHeaders['headers']) )
  			$theBody = WP_Http_Encoding::decompress( $theBody );
  
! 		$response['body'] = $theBody;
! 
! 		return $response;
  	}
  
  	/**
***************
*** 1302,1326 ****
  	 * @return int
  	 */
  	private function stream_body( $handle, $data ) {
! 		if ( function_exists( 'ini_get' ) && ( ini_get( 'mbstring.func_overload' ) & 2 ) && function_exists( 'mb_internal_encoding' ) ) {
! 			$mb_encoding = mb_internal_encoding();
! 			mb_internal_encoding( 'ISO-8859-1' );
! 		}
  
! 		if ( $this->max_body_length && ( strlen( $this->body ) + strlen( $data ) ) > $this->max_body_length )
! 			$data = substr( $data, 0, ( $this->max_body_length - strlen( $this->body ) ) );
  
! 		if ( $this->stream_handle )
! 			fwrite( $this->stream_handle, $data );
! 		else
  			$this->body .= $data;
  
! 		$data_length = strlen( $data );
! 
! 		if ( isset( $mb_encoding ) )
! 			mb_internal_encoding( $mb_encoding );
! 
! 		return $data_length;
  	}
  
  	/**
--- 1325,1344 ----
  	 * @return int
  	 */
  	private function stream_body( $handle, $data ) {
! 		$data_length = strlen( $data );
  
! 		if ( $this->max_body_length && ( strlen( $this->body ) + $data_length ) > $this->max_body_length )
! 			$data = substr( $data, 0, ( $this->max_body_length - $data_length ) );
  
! 		if ( $this->stream_handle ) {
! 			$bytes_written = fwrite( $this->stream_handle, $data );
! 		} else {
  			$this->body .= $data;
+ 			$bytes_written = $data_length;
+ 		}
  
! 		// Upon event of this function returning less than strlen( $data ) curl will error with CURLE_WRITE_ERROR
! 		return $bytes_written;
  	}
  
  	/**
***************
*** 1527,1533 ****
  			if ( false !== strpos(WP_PROXY_BYPASS_HOSTS, '*') ) {
  				$wildcard_regex = array();
  				foreach ( $bypass_hosts as $host )
! 					$wildcard_regex[] = str_replace('\*', '[\w.]+?', preg_quote($host, '/'));
  				$wildcard_regex = '/^(' . implode('|', $wildcard_regex) . ')$/i';
  			}
  		}
--- 1545,1551 ----
  			if ( false !== strpos(WP_PROXY_BYPASS_HOSTS, '*') ) {
  				$wildcard_regex = array();
  				foreach ( $bypass_hosts as $host )
! 					$wildcard_regex[] = str_replace( '\*', '.+', preg_quote( $host, '/' ) );
  				$wildcard_regex = '/^(' . implode('|', $wildcard_regex) . ')$/i';
  			}
  		}
***************
*** 1606,1619 ****
  	 * <li>Expires - (optional) String or int (UNIX timestamp).</li>
  	 * <li>Path (optional)</li>
  	 * <li>Domain (optional)</li>
  	 * </ol>
  	 *
  	 * @access public
  	 * @since 2.8.0
  	 *
  	 * @param string|array $data Raw cookie data.
  	 */
! 	function __construct( $data ) {
  		if ( is_string( $data ) ) {
  			// Assume it's a header string direct from a previous request
  			$pairs = explode( ';', $data );
--- 1624,1647 ----
  	 * <li>Expires - (optional) String or int (UNIX timestamp).</li>
  	 * <li>Path (optional)</li>
  	 * <li>Domain (optional)</li>
+ 	 * <li>Port (optional)</li>
  	 * </ol>
  	 *
  	 * @access public
  	 * @since 2.8.0
  	 *
  	 * @param string|array $data Raw cookie data.
+ 	 * @param string $requested_url The URL which the cookie was set on, used for default 'domain' and 'port' values
  	 */
! 	function __construct( $data, $requested_url = '' ) {
! 		if ( $requested_url )
! 			$arrURL = @parse_url( $requested_url );
! 		if ( isset( $arrURL['host'] ) )
! 			$this->domain = $arrURL['host'];
! 		$this->path = isset( $arrURL['path'] ) ? $arrURL['path'] : '/';
! 		if (  '/' != substr( $this->path, -1 ) )
! 			$this->path = dirname( $this->path ) . '/';
! 
  		if ( is_string( $data ) ) {
  			// Assume it's a header string direct from a previous request
  			$pairs = explode( ';', $data );
***************
*** 1642,1651 ****
  				return false;
  
  			// Set properties based directly on parameters
! 			$this->name   = $data['name'];
! 			$this->value  = isset( $data['value'] ) ? $data['value'] : '';
! 			$this->path   = isset( $data['path'] ) ? $data['path'] : '';
! 			$this->domain = isset( $data['domain'] ) ? $data['domain'] : '';
  
  			if ( isset( $data['expires'] ) )
  				$this->expires = is_int( $data['expires'] ) ? $data['expires'] : strtotime( $data['expires'] );
--- 1670,1679 ----
  				return false;
  
  			// Set properties based directly on parameters
! 			foreach ( array( 'name', 'value', 'path', 'domain', 'port' ) as $field ) {
! 				if ( isset( $data[ $field ] ) )
! 					$this->$field = $data[ $field ];
! 			}
  
  			if ( isset( $data['expires'] ) )
  				$this->expires = is_int( $data['expires'] ) ? $data['expires'] : strtotime( $data['expires'] );
***************
*** 1666,1683 ****
  	 * @return boolean true if allowed, false otherwise.
  	 */
  	function test( $url ) {
  		// Expires - if expired then nothing else matters
  		if ( isset( $this->expires ) && time() > $this->expires )
  			return false;
  
  		// Get details on the URL we're thinking about sending to
  		$url = parse_url( $url );
! 		$url['port'] = isset( $url['port'] ) ? $url['port'] : 80;
  		$url['path'] = isset( $url['path'] ) ? $url['path'] : '/';
  
  		// Values to use for comparison against the URL
  		$path   = isset( $this->path )   ? $this->path   : '/';
! 		$port   = isset( $this->port )   ? $this->port   : 80;
  		$domain = isset( $this->domain ) ? strtolower( $this->domain ) : strtolower( $url['host'] );
  		if ( false === stripos( $domain, '.' ) )
  			$domain .= '.local';
--- 1694,1714 ----
  	 * @return boolean true if allowed, false otherwise.
  	 */
  	function test( $url ) {
+ 		if ( is_null( $this->name ) )
+ 			return false;
+ 
  		// Expires - if expired then nothing else matters
  		if ( isset( $this->expires ) && time() > $this->expires )
  			return false;
  
  		// Get details on the URL we're thinking about sending to
  		$url = parse_url( $url );
! 		$url['port'] = isset( $url['port'] ) ? $url['port'] : ( 'https' == $url['scheme'] ? 443 : 80 );
  		$url['path'] = isset( $url['path'] ) ? $url['path'] : '/';
  
  		// Values to use for comparison against the URL
  		$path   = isset( $this->path )   ? $this->path   : '/';
! 		$port   = isset( $this->port )   ? $this->port   : null;
  		$domain = isset( $this->domain ) ? strtolower( $this->domain ) : strtolower( $url['host'] );
  		if ( false === stripos( $domain, '.' ) )
  			$domain .= '.local';
***************
*** 1688,1694 ****
  			return false;
  
  		// Port - supports "port-lists" in the format: "80,8000,8080"
! 		if ( !in_array( $url['port'], explode( ',', $port) ) )
  			return false;
  
  		// Path - request path must start with path restriction
--- 1719,1725 ----
  			return false;
  
  		// Port - supports "port-lists" in the format: "80,8000,8080"
! 		if ( !empty( $port ) && !in_array( $url['port'], explode( ',', $port) ) )
  			return false;
  
  		// Path - request path must start with path restriction
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-oembed.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-oembed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-oembed.php	2013-07-31 01:53:06.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-oembed.php	2013-10-07 18:57:10.000000000 -0500
***************
*** 26,35 ****
  	 * @uses apply_filters() Filters a list of pre-defined oEmbed providers.
  	 */
  	function __construct() {
! 		// List out some popular sites that support oEmbed.
! 		// The WP_Embed class disables discovery for non-unfiltered_html users, so only providers in this array will be used for them.
! 		// Add to this list using the wp_oembed_add_provider() function (see its PHPDoc for details).
! 		$this->providers = apply_filters( 'oembed_providers', array(
  			'#https?://(www\.)?youtube\.com/watch.*#i'           => array( 'http://www.youtube.com/oembed',                     true  ),
  			'http://youtu.be/*'                                  => array( 'http://www.youtube.com/oembed',                     false ),
  			'http://blip.tv/*'                                   => array( 'http://blip.tv/oembed/',                            false ),
--- 26,32 ----
  	 * @uses apply_filters() Filters a list of pre-defined oEmbed providers.
  	 */
  	function __construct() {
! 		$providers = array(
  			'#https?://(www\.)?youtube\.com/watch.*#i'           => array( 'http://www.youtube.com/oembed',                     true  ),
  			'http://youtu.be/*'                                  => array( 'http://www.youtube.com/oembed',                     false ),
  			'http://blip.tv/*'                                   => array( 'http://blip.tv/oembed/',                            false ),
***************
*** 56,62 ****
  			'#https?://(www\.)?rdio\.com/.*#i'                   => array( 'http://www.rdio.com/api/oembed/',                   true  ),
  			'#https?://rd\.io/x/.*#i'                            => array( 'http://www.rdio.com/api/oembed/',                   true  ),
  			'#https?://(open|play)\.spotify\.com/.*#i'           => array( 'https://embed.spotify.com/oembed/',                 true  ),
! 		) );
  
  		// Fix any embeds that contain new lines in the middle of the HTML which breaks wpautop().
  		add_filter( 'oembed_dataparse', array($this, '_strip_newlines'), 10, 3 );
--- 53,72 ----
  			'#https?://(www\.)?rdio\.com/.*#i'                   => array( 'http://www.rdio.com/api/oembed/',                   true  ),
  			'#https?://rd\.io/x/.*#i'                            => array( 'http://www.rdio.com/api/oembed/',                   true  ),
  			'#https?://(open|play)\.spotify\.com/.*#i'           => array( 'https://embed.spotify.com/oembed/',                 true  ),
! 		);
! 		/**
! 		 * Filter the list of oEmbed providers.
! 		 *
! 		 * Discovery is disabled for users lacking the unfiltered_html capability.
! 		 * Only providers in this array will be used for those users.
! 		 *
! 		 * @see wp_oembed_add_provider()
! 		 *
! 		 * @since 2.9.0
! 		 *
! 		 * @param array $providers An array of popular oEmbed providers.
! 		 */
! 		$this->providers = apply_filters( 'oembed_providers', $providers );
  
  		// Fix any embeds that contain new lines in the middle of the HTML which breaks wpautop().
  		add_filter( 'oembed_dataparse', array($this, '_strip_newlines'), 10, 3 );
***************
*** 100,105 ****
--- 110,124 ----
  		if ( !$provider || false === $data = $this->fetch( $provider, $url, $args ) )
  			return false;
  
+ 		/**
+ 		 * Filter the HTML returned by the oEmbed provider.
+ 		 *
+ 		 * @since 2.9.0
+ 		 *
+ 		 * @param string $data The returned oEmbed HTML.
+ 		 * @param string $url  URL of the content to be embedded.
+ 		 * @param array  $args Optional arguments, usually passed from a shortcode.
+ 		 */
  		return apply_filters( 'oembed_result', $this->data2html( $data, $url ), $url, $args );
  	}
  
***************
*** 115,125 ****
  		// Fetch URL content
  		if ( $html = wp_remote_retrieve_body( wp_safe_remote_get( $url ) ) ) {
  
! 			// <link> types that contain oEmbed provider URLs
  			$linktypes = apply_filters( 'oembed_linktypes', array(
  				'application/json+oembed' => 'json',
  				'text/xml+oembed' => 'xml',
! 				'application/xml+oembed' => 'xml', // Incorrect, but used by at least Vimeo
  			) );
  
  			// Strip <body>
--- 134,152 ----
  		// Fetch URL content
  		if ( $html = wp_remote_retrieve_body( wp_safe_remote_get( $url ) ) ) {
  
! 			/**
! 			 * Filter the link types that contain oEmbed provider URLs.
! 			 *
! 			 * @since 2.9.0
! 			 *
! 			 * @param array $format Array of oEmbed link types. Accepts 'application/json+oembed',
! 			 *                      'text/xml+oembed', and 'application/xml+oembed' (incorrect,
! 			 *                      used by at least Vimeo).
! 			 */
  			$linktypes = apply_filters( 'oembed_linktypes', array(
  				'application/json+oembed' => 'json',
  				'text/xml+oembed' => 'xml',
! 				'application/xml+oembed' => 'xml',
  			) );
  
  			// Strip <body>
***************
*** 173,178 ****
--- 200,214 ----
  		$provider = add_query_arg( 'maxheight', (int) $args['height'], $provider );
  		$provider = add_query_arg( 'url', urlencode($url), $provider );
  
+ 		/**
+ 		 * Filter the oEmbed URL to be fetched.
+ 		 *
+ 		 * @since 2.9.0
+ 		 *
+ 		 * @param string $provider URL of the oEmbed provider.
+ 		 * @param string $url      URL of the content to be embedded.
+ 		 * @param array  $args     Optional arguments, usually passed from a shortcode.
+ 		 */
  		$provider = apply_filters( 'oembed_fetch_url', $provider, $url, $args );
  
  		foreach( array( 'json', 'xml' ) as $format ) {
***************
*** 309,315 ****
  				$return = false;
  		}
  
! 		// You can use this filter to add support for custom data types or to filter the result
  		return apply_filters( 'oembed_dataparse', $return, $data, $url );
  	}
  
--- 345,361 ----
  				$return = false;
  		}
  
! 		/**
! 		 * Filter the returned oEmbed HTML.
! 		 *
! 		 * Use this filter to add support for custom data types, or to filter the result.
! 		 *
! 		 * @since 2.9.0
! 		 *
! 		 * @param string $return The returned oEmbed HTML.
! 		 * @param object $data   A data object result from an oEmbed provider.
! 		 * @param string $url    The URL of the content to be embedded.
! 		 */
  		return apply_filters( 'oembed_dataparse', $return, $data, $url );
  	}
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-phpmailer.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-phpmailer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-phpmailer.php	2013-02-28 12:33:13.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-phpmailer.php	2013-10-02 22:00:09.000000000 -0500
***************
*** 923,931 ****
      $to = implode(', ', $toArr);
  
      if (empty($this->Sender)) {
!       $params = "-oi ";
      } else {
!       $params = sprintf("-oi -f%s", $this->Sender);
      }
      if ($this->Sender != '' and !ini_get('safe_mode')) {
        $old_from = ini_get('sendmail_from');
--- 923,931 ----
      $to = implode(', ', $toArr);
  
      if (empty($this->Sender)) {
!       $params = " ";
      } else {
!       $params = sprintf("-f%s", $this->Sender);
      }
      if ($this->Sender != '' and !ini_get('safe_mode')) {
        $old_from = ini_get('sendmail_from');
